# k210_soc::sysctl - Rust
SYSCTL peripheral
Keywords: rust, rustlang, rust-lang, sysctl

# Module k210_soc::sysctl

source · [−]
Expand description

SYSCTL peripheral

## Enums

clock
clock_select
clock_source
dma_channel
io_power_mode
pll
power_bank
reset
threshold

## Functions

clock_enable
clock_get_clock_select
clock_get_freq
clock_get_threshold

Get clock divider

clock_set_clock_select
clock_set_threshold

Set clock divider

clock_source_get_freq
dma_select

Select DMA handshake for a channel

pll_get_freq
pll_set_freq

@brief Init PLL freqency @param[in] pll The PLL id @param[in] pll_freq The desired frequency in Hz

reset
set_power_mode
set_spi0_dvp_data

Route SPI0_D0-D7 DVP_D0-D7 functions to SPI and DVP data pins (bypassing FPIOA).

sysctl_clock_disable

## Type Definitions

dma_select